## org.metaabm.validation
Interface SImplementationValidator

    public interface SImplementationValidator

A sample validator interface for `SImplementation`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateBasePath(java.lang.String value)`
`boolean` `validateBinDir(java.lang.String value)`
`boolean` `validateClassFileLoc(java.lang.String value)`
`boolean` `validateClassName(java.lang.String value)`
`boolean` `validateDerivedBinDir(java.lang.String value)`
`boolean` `validateDerivedPackage(java.lang.String value)`
`boolean` `validateDerivedPath(java.lang.String value)`
`boolean` `validateDerivedSrcDir(java.lang.String value)`
`boolean` `validateJavaFileLoc(java.lang.String value)`
`boolean` `validateMode(SImplementationMode value)`
`boolean` `validatePackage(java.lang.String value)`
`boolean` `validateQualifiedName(java.lang.String value)`
`boolean` `validateSrcDir(java.lang.String value)`
`boolean` `validateTarget(SImplemented value)`

Method Detail

### validate

    boolean validate()

### validatePackage

    boolean validatePackage(java.lang.String value)

### validateClassName

    boolean validateClassName(java.lang.String value)

### validateBasePath

    boolean validateBasePath(java.lang.String value)

### validateMode

    boolean validateMode(SImplementationMode value)

### validateTarget

    boolean validateTarget(SImplemented value)

### validateQualifiedName

    boolean validateQualifiedName(java.lang.String value)

### validateDerivedPath

    boolean validateDerivedPath(java.lang.String value)

### validateDerivedPackage

    boolean validateDerivedPackage(java.lang.String value)

### validateJavaFileLoc

    boolean validateJavaFileLoc(java.lang.String value)

### validateSrcDir

    boolean validateSrcDir(java.lang.String value)

### validateBinDir

    boolean validateBinDir(java.lang.String value)

### validateClassFileLoc

    boolean validateClassFileLoc(java.lang.String value)

### validateDerivedBinDir

    boolean validateDerivedBinDir(java.lang.String value)

### validateDerivedSrcDir

    boolean validateDerivedSrcDir(java.lang.String value)